Subject: bug#70939: [PATCH] Add commands to run unit tests in go-ts-mode

From: Stefan Kangas <[email-masked]>
Date: Sat, 6 Jul 2024 15:08:47 -0700

Ankit Gadiya via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> +*** New unit test commands.
> +Three new commands are now available to run unit tests.
> +
> +The 'go-ts-mode-test-function-at-point' command runs the unit test at
> +point.  If a region is active, it runs all the unit tests under the
> +region.  It is bound to 'C-c C-t t' in 'go-ts-mode'.
> +
> +The 'go-ts-mode-test-this-file' command runs all unit tests in the current
> +file. It is bound to 'C-c C-t f' in 'go-ts-mode'.
> +
> +The 'go-ts-mode-test-this-package' command runs all unit tests under the
> +package of the current buffer.  It is bound to 'C-c C-t p' in 'go-ts-mode'.
> +
> +The 'go-ts-mode-build-tags' variable is available to set a list of build
> +tags for the test commands.

BTW, eventually I think that we want a general command for this in
project.el, e.g.  "project-run-tests" or something like that.